summaryrefslogtreecommitdiff
path: root/tests/scripts/common.sh
diff options
context:
space:
mode:
authorDaiki Ueno <dueno@redhat.com>2019-04-19 08:12:56 +0200
committerDaiki Ueno <dueno@redhat.com>2019-04-19 08:56:54 +0200
commit54690004aea7fd6bc07aeee919ab0848bf4549e6 (patch)
tree7cfe881f1522b1a7d1893af0b29b5a505af90e90 /tests/scripts/common.sh
parent96a5dd4fa8e9c7b1d45fe934ec7829d494dbd372 (diff)
downloadgnutls-54690004aea7fd6bc07aeee919ab0848bf4549e6.tar.gz
tests: make datefudge check robuster
When checking datefudge availability under cross-compiling environment with a binfmt wrapper, it is not sufficient to check against the host executable. This instead uses a test executable compiled for the target architecture. Signed-off-by: Daiki Ueno <dueno@redhat.com>
Diffstat (limited to 'tests/scripts/common.sh')
-rw-r--r--tests/scripts/common.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/scripts/common.sh b/tests/scripts/common.sh
index a714bcd608..d34915e1d7 100644
--- a/tests/scripts/common.sh
+++ b/tests/scripts/common.sh
@@ -76,7 +76,7 @@ check_for_datefudge() {
return
fi
- TSTAMP=`datefudge -s "2006-09-23" date -u +%s || true`
+ TSTAMP=`datefudge -s "2006-09-23" "${top_builddir}/tests/datefudge-check" || true`
if test "$TSTAMP" != "1158969600" || test "$WINDOWS" = 1; then
echo $TSTAMP
echo "You need datefudge to run this test"